<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/FSM/States/WeaponStartAction.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d15/_weapon_start_action_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">WeaponStartAction.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d15/_weapon_start_action_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">class </span><a class="code hl_class" href="../../dd/dcb/class_weapon_start_action.html">WeaponStartAction</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a> <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>; </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="keywordtype">int</span> m_actionType; </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d2/db4/class_weapon_state_base.html#a509dcbe6fbbddf3641cd50680a007116">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/db4/class_weapon_state_base.html#a509dcbe6fbbddf3641cd50680a007116">WeaponStartAction</a> (<a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> w = NULL, <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> parent = NULL, <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a> action = <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.NONE, <span class="keywordtype">int</span> actionType = -1)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a> = action;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_actionType = actionType;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/db4/class_weapon_state_base.html#a95264fe14ffa316aa5eb3961ab3ea0dd">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/db4/class_weapon_state_base.html#a95264fe14ffa316aa5eb3961ab3ea0dd">OnEntry</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">if</span> (e)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordflow">if</span> (e.<a class="code hl_variable" href="../../d7/db7/class_weapon_event_base.html#a868027afbe9bef356dba74ae1b184bb2">m_player</a>)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                <a class="code hl_class" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a> hcw = e.<a class="code hl_variable" href="../../d7/db7/class_weapon_event_base.html#a868027afbe9bef356dba74ae1b184bb2">m_player</a>.GetCommandModifier_Weapons();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                <span class="keywordflow">if</span> (hcw)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                    <a class="code hl_function" href="../../d4/d9e/human_8c.html#afef3cd5755a4f0601a9edb27a051e46a">HumanCommandAdditives</a> ad = e.<a class="code hl_variable" href="../../d7/db7/class_weapon_event_base.html#a868027afbe9bef356dba74ae1b184bb2">m_player</a>.GetCommandModifier_Additives();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                    <span class="keywordflow">if</span> (ad)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                        ad.CancelModifier();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                    hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">StartAction</a>(<a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>, m_actionType);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                    <span class="keywordflow">if</span> (hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">GetRunningAction</a>() == <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a> &amp;&amp; hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#ad74a4f1019cb9facfa831511cfaaafa1">GetRunningActionType</a>() == m_actionType)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#afa33033805ea8cbc9b91ae2d002ffcd7">wpnDebugPrint</a>(<span class="stringliteral">&quot;HCW: playing A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>, m_actionType) + <span class="stringliteral">&quot; fini=&quot;</span> + hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">IsActionFinished</a>()); }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                        <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;HCW: NOT playing A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>, m_actionType) + <span class="stringliteral">&quot; fini=&quot;</span> + hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">IsActionFinished</a>());</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                    <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#afa33033805ea8cbc9b91ae2d002ffcd7">wpnDebugPrint</a>(<span class="stringliteral">&quot;---: remote playing A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>, m_actionType)); }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a>()) { <a class="code hl_function" href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#afa33033805ea8cbc9b91ae2d002ffcd7">wpnDebugPrint</a>(<span class="stringliteral">&quot;---: warning, no player wants to play A=&quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>, <a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>) + <span class="stringliteral">&quot; AT=&quot;</span> + <a class="code hl_function" href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a>(<a class="code hl_variable" href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a>, m_actionType)); }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d2/db4/class_weapon_state_base.html#afe56b1328d36edec19101b698b23553c">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/db4/class_weapon_state_base.html#afe56b1328d36edec19101b698b23553c">OnExit</a> (<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        super.OnExit(e);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>};</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="ttc" id="a4___world_2_entities_2_firearms_2_debug_8c_html_afa33033805ea8cbc9b91ae2d002ffcd7"><div class="ttname"><a href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c.html#afa33033805ea8cbc9b91ae2d002ffcd7">wpnDebugPrint</a></div><div class="ttdeci">void wpnDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d1d/4___world_2_entities_2_firearms_2_debug_8c_source.html#l00009">Debug.c:9</a></div></div>
<div class="ttc" id="a_weapon_chambering_8c_html_a9088984af4ef30aa23a15d4c50db9458"><div class="ttname"><a href="../../dd/db3/_weapon_chambering_8c.html#a9088984af4ef30aa23a15d4c50db9458">m_action</a></div><div class="ttdeci">class WeaponEndAction extends WeaponStartAction m_action</div></div>
<div class="ttc" id="aclass_human_command_weapons_html"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00940">human.c:941</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html_a00c48b946a5b5a45d6e4076a1b2b22ed"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">HumanCommandWeapons::IsActionFinished</a></div><div class="ttdeci">proto native bool IsActionFinished()</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_a2b8854c339f238e2a1ec7e1a6e58c298"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">HumanCommandWeapons::GetRunningAction</a></div><div class="ttdeci">proto native int GetRunningAction()</div><div class="ttdoc">returns -1 when no action is running or RELOAD,MECHANISM, ....</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_aa445c68dd681f55cd731b8a6733d6e5a"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">HumanCommandWeapons::StartAction</a></div><div class="ttdeci">proto native bool StartAction(WeaponActions pAction, int pActionType)</div><div class="ttdoc">start reload,mechanism,chambering,unjam ...</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_ad74a4f1019cb9facfa831511cfaaafa1"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#ad74a4f1019cb9facfa831511cfaaafa1">HumanCommandWeapons::GetRunningActionType</a></div><div class="ttdeci">proto native int GetRunningActionType()</div><div class="ttdoc">returns -1 when no action is running or appropriate action type</div></div>
<div class="ttc" id="aclass_log_manager_html"><div class="ttname"><a href="../../d9/df7/class_log_manager.html">LogManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00542">Debug.c:543</a></div></div>
<div class="ttc" id="aclass_log_manager_html_a1936dba0ee4da1a581859d6603178326"><div class="ttname"><a href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">LogManager::IsWeaponLogEnable</a></div><div class="ttdeci">static bool IsWeaponLogEnable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00628">Debug.c:628</a></div></div>
<div class="ttc" id="aclass_weapon___base_html"><div class="ttname"><a href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></div><div class="ttdoc">shorthand</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00005">BoltActionRifle_Base.c:6</a></div></div>
<div class="ttc" id="aclass_weapon_event_base_html"><div class="ttname"><a href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a></div><div class="ttdoc">signalize mechanism manipulation</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_events_8c_source.html#l00034">Events.c:35</a></div></div>
<div class="ttc" id="aclass_weapon_event_base_html_a868027afbe9bef356dba74ae1b184bb2"><div class="ttname"><a href="../../d7/db7/class_weapon_event_base.html#a868027afbe9bef356dba74ae1b184bb2">WeaponEventBase::m_player</a></div><div class="ttdeci">DayZPlayer m_player</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_events_8c_source.html#l00037">Events.c:37</a></div></div>
<div class="ttc" id="aclass_weapon_start_action_html"><div class="ttname"><a href="../../dd/dcb/class_weapon_start_action.html">WeaponStartAction</a></div><div class="ttdoc">simple class starting animation action specified by m_action and m_actionType</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db3/_weapon_chambering_8c_source.html#l00002">WeaponChambering.c:3</a></div></div>
<div class="ttc" id="aclass_weapon_state_base_html"><div class="ttname"><a href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a></div><div class="ttdoc">represent weapon state base</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da2/_bullet_hide_8c_source.html#l00001">BulletHide.c:2</a></div></div>
<div class="ttc" id="aclass_weapon_state_base_html_a509dcbe6fbbddf3641cd50680a007116"><div class="ttname"><a href="../../d2/db4/class_weapon_state_base.html#a509dcbe6fbbddf3641cd50680a007116">WeaponStateBase::WeaponStartAction</a></div><div class="ttdeci">void WeaponStartAction(Weapon_Base w=NULL, WeaponStateBase parent=NULL, WeaponActions action=WeaponActions.NONE, int actionType=-1)</div><div class="ttdoc">specific action sub-type</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d15/_weapon_start_action_8c_source.html#l00009">WeaponStartAction.c:9</a></div></div>
<div class="ttc" id="aclass_weapon_state_base_html_a95264fe14ffa316aa5eb3961ab3ea0dd"><div class="ttname"><a href="../../d2/db4/class_weapon_state_base.html#a95264fe14ffa316aa5eb3961ab3ea0dd">WeaponStateBase::OnEntry</a></div><div class="ttdeci">override void OnEntry(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d15/_weapon_start_action_8c_source.html#l00015">WeaponStartAction.c:15</a></div></div>
<div class="ttc" id="aclass_weapon_state_base_html_afe56b1328d36edec19101b698b23553c"><div class="ttname"><a href="../../d2/db4/class_weapon_state_base.html#afe56b1328d36edec19101b698b23553c">WeaponStateBase::OnExit</a></div><div class="ttdeci">override void OnExit(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d15/_weapon_start_action_8c_source.html#l00047">WeaponStartAction.c:47</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="ahuman_8c_html_a70aa34d22d03160ea5e3d5248cd37093"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a></div><div class="ttdeci">WeaponActions</div><div class="ttdoc">actions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00762">human.c:763</a></div></div>
<div class="ttc" id="ahuman_8c_html_a7a257c76197be68ad54ce2409c5b9d3a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a7a257c76197be68ad54ce2409c5b9d3a">WeaponActionTypeToString</a></div><div class="ttdeci">string WeaponActionTypeToString(int A, int AT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00890">human.c:890</a></div></div>
<div class="ttc" id="ahuman_8c_html_afef3cd5755a4f0601a9edb27a051e46a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#afef3cd5755a4f0601a9edb27a051e46a">HumanCommandAdditives</a></div><div class="ttdeci">class HumanCommandWeapons HumanCommandAdditives()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00890">human.c:1053</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_372752df6a93f8a8dc049f875df777d6.html">FSM</a></li><li class="navelem"><a class="el" href="../../dir_22eec264e034c1217c0d1740cfb655ec.html">States</a></li><li class="navelem"><a class="el" href="../../d7/d15/_weapon_start_action_8c.html">WeaponStartAction.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
